Re: [RFC PATCH] perf test: Workload test of metric and metricgroups

From: John Garry
Date: Thu Sep 16 2021 - 03:30:53 EST


--- /dev/null
+++ b/tools/perf/tests/shell/stat_all_metrics.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# perf all metrics test
+# SPDX-License-Identifier: GPL-2.0
+
+set -e
+
+for m in `perf list --raw-dump metrics`; do
+ echo "Testing $m"
+ result=$(perf stat -M "$m" perf bench internals synthesize)
good test, but takes forever.. running 'true' should be enough for the test?

jirka
Agreed/done:
https://lore.kernel.org/linux-perf-users/20210916060525.1890638-1-irogers@xxxxxxxxxx/T/#u
There is an issue that I see a lot of "<not counted>" for metricgroups
like this.

https://lore.kernel.org/linux-perf-users/CAP-5=fVERioMuK=JgKr1QWXKvU0Y31efQjxh7hX32ifL9V+_EA@xxxxxxxxxxxxxx/

Same issue, right?

Thanks,
John

Note, the metricgroups test is also failing on my skylake
as I hit the bug fixed in:
https://lore.kernel.org/lkml/20210819054707.1057819-1-irogers@xxxxxxxxxx/